Skip to main content
GET
User Info Request

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

token
string
required

OAuth 2.0 Access Token or Refresh Token

Response

OK

UserInfo Response

sub
string<uuid>

The Sub Id

Example:

"d891bba7-4a62-4a04-aeac-6953777038a3"

name
string

The user's display name.

Example:

"John"

preferred_username
string<email>

User's preferred username

Example:

"user@example.com"

given_name
string

User's first name

Example:

"John"

family_name
string

User's last name.

Example:

"Doe"

middle_name
string

User's middle name

Example:

"Joe"

nickname
string

User's nickname

Example:

"johndoe"

profile
string

Profile

Example:

"profile"

picture
string<uri>

The URI of the user's picture

Example:

"https://pictures.example.com/pic=uuid"

website
string<uri>

User's website

Example:

"hrrps://myblog.example.com"

gender
string

Gender

Example:

"male"

zoneinfo
string

Zoneinfo

Example:

"zoneinfo"

locale
string

User's locale

Example:

"en_US"

updated_at
integer<int64>

Last update

Example:

1508849760527

birthdate
string<date>

User's birthday

email
string<email>

User's contact email.

Example:

"contact.emal@example.com"

email_verified
boolean

User has vrified their email address

Example:

true

phone_number
string

User's phone number

Example:

"818-519-2395"

phone_number_verified
boolean

User has vrified their phone number

Example:

true